package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Nationality;
import com.realnet.vpspack.Services.NationalityService ;






@RequestMapping(value = "/Nationality")
 @CrossOrigin("*") 
@RestController
public class NationalityController {
	@Autowired
	private NationalityService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Nationality")
		  public Nationality Savedata(@RequestBody Nationality data) {
		Nationality save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Nationality/{id}")
	public  Nationality update(@RequestBody Nationality data,@PathVariable Integer id ) {
		Nationality update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Nationality/getall/page")
	public Page<Nationality> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Nationality> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Nationality")
	public List<Nationality> getdetails() {
		 List<Nationality> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Nationality")
	public List<Nationality> getallwioutsec() {
		 List<Nationality> get = Service.getdetails();		
		return get;
}
@GetMapping("/Nationality/{id}")
	public  Nationality  getdetailsbyId(@PathVariable Integer id ) {
		Nationality  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Nationality/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}